<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */ 

/**
 *
 * @category Nostress
 * @package Nostress_Koongoorderapi
 */

class Nostress_Koongoorderapi_Block_Adminhtml_Orders_Grid_Renderer_Channel extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Options
{
    /**
     * Prepare link to display in grid
     *
     * @param Varien_Object $row
     * @return string
     */
    public function render(Varien_Object $row)
    {  
        $channelCode = $row->getKoongoChannelCode();
        if(!empty($channelCode))
            $logoUrl = Mage::helper('koongoorderapi/order_data')->getChannelLogoUrl($channelCode);        
        else
            return "";            
    	
        $html = '<img class="img-thumbnail" style="max-width:60px" title="'.$row->getKoongoChannelLabel().'" src="'.$logoUrl.'" alt="">';               
    	return $html;    		
    }

}

