<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */

/**
 * API2 class for find product id (admin)
 *
 * @category   Mage
 * @package    Mage_Sales
 * @author     Magento Core Team <core@magentocommerce.com>
 */
class Nostress_Koongoorderapi_Model_Api2_Findproductid extends Mage_Api2_Model_Resource
{
    /**
     * Current store.
     */
    protected $_store;
    protected $_helper;    

        /**
     * GTIN attribute code.          
     */
    protected $_gtinAttribute = null;

    protected function _helper()
    {
        if(!isset($this->_helper))
    	    $this->_helper = Mage::helper('koongoorderapi/order_data');
    	return $this->_helper;
    }
    
    protected function _log($message)
    {
        $this->_helper()->log($message);
    }

    protected function _getGtinAttribute($storeId = null)
    {
        if(!isset($this->_gtinAttribute))
            $this->_gtinAttribute = $this->_helper()->getGeneralConfig(Nostress_Koongoorderapi_Helper_Data::PARAM_GTIN_ATTRIBUTE, false, false, $storeId);
        return $this->_gtinAttribute;
    }

    protected function _setStore($store)
    {
        if(is_numeric($store))
            $this->_store = Mage::app()->getStore($store);
        else
            $this->_store = $store;
    }

    protected function _getStore()
    {
        return $this->_store;
    }

    protected function _getStoreId()
    {
        return $this->_getStore()->getStoreId();
    }

    protected function _getWebsiteId()
    {
        return $this->_getStore()->getWebsiteId();
    }

    protected function _getArrayField($index,$array, $default = null)
    {
        if(!is_array($array))
        {
            return $default;
        }
    	if(array_key_exists($index,$array))
    	{
    		return $array[$index];
    	}
    	else
    		return $default;
    }
}
