<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */

/**
 * API2 class for order shipments (Koongo)
 *
 * @category   Koongoorderapi
 * @package    Nostress_Koongoorderapi
 * @author     NoStress Commerce
 */
class Nostress_Koongoorderapi_Model_Api2_Ordershipment_Rest_Admin_V1 extends Nostress_Koongoorderapi_Model_Api2_Ordershipment
{
    /**
     * Create product
     *
     * @param array $data
     * @return string
     */
    protected function _create(array $data)
    {     
        $realOrderId = $this->getRequest()->getParam('id');
        $this->_debug("Add shipment - store order id ".$realOrderId);
        $order = $this->_loadOrder($realOrderId);

        if(!isset($data['shipment']) || empty($data['shipment']))
            $this->_critical($this->_helper()->__("Missing shipment in request"), Mage_Api2_Model_Server::HTTP_BAD_REQUEST);

        $this->_debug("Add shipment - start");
        $shipmentId = $this->_addShipment($order, $data['shipment']);
        
        //Order is ready, prepare invoice and return response
        $responseMessage = "";
        $responseStatus = Nostress_Koongoorderapi_Helper_Data::KOONGO_ORDER_COMMAND_STATUS_COMPLETE;

        unset($customer);

        $responseBody = $this->_helper()->prepareResponseBody($responseStatus, $responseMessage, array("id" => $shipmentId));
        $this->_debug("Add shipment - response:".base64_encode($responseBody));
        $this->getResponse()
            ->setBody($responseBody)
            ->sendResponse();
        exit;
    }
}
