<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */

/**
 * Controller for webhooks for Koongo order api module
 *
 * @category   Koongoorderapi
 * @package    Nostress_Koongoorderapi
 * @author     NoStress Commerce
 */

class Nostress_Koongoorderapi_Adminhtml_WebhookController extends Mage_Adminhtml_Controller_Action
{
	protected $_helper;
	
	/** Magento 1.9.2.0 or patch 6285_CE_1.9.1.1 access permissions fix*/
	protected function _isAllowed()
	{
		return true;
	}

	protected function helper()
	{
		if(!isset($this->_helper))
			$this->_helper = Mage::helper('koongoorderapi');
		return $this->_helper;
	}
		
    /**
     * Webhook list.
     */
    public function indexAction()
    {
    	$this->_title($this->__('Webhooks'))->_title($this->__('Order API'));
        $this->loadLayout();
        $this->_setActiveMenu('koongoconnector/koongoorderapi_webhook');        
        $this->renderLayout();
	}
	
	public function massDeleteAction()
    {
        $ids = $this->getRequest()->getParam('webhook');
        if (!is_array($ids)) {
            $this->_getSession()->addError($this->__('Please select items(s)'));
        }
        else {
            try {               
                foreach ($ids as $id)
                {
                    $event = Mage::getModel('koongoorderapi/webhook')->load($id);                    
                    $event->delete();                	
                }
                $this->_getSession()->addSuccess(
                    $this->__('Total of %d item(s) were successfully deleted', count($ids))
                );
            } catch (Exception $e) {
                $this->_getSession()->addError($e->getMessage());
            }
        }
        $this->_redirect('*/*/index');
    }
}