<?php
/**
 * Magento Module developed by NoStress Commerce
 *
 * NOTICE OF LICENSE
 *
 * This program is licensed under the Koongo software licence (by NoStress Commerce). 
 * With the purchase, download of the software or the installation of the software 
 * in your application you accept the licence agreement. The allowed usage is outlined in the
 * Koongo software licence which can be found under https://docs.koongo.com/display/koongo/License+Conditions
 *
 * Any modification or distribution is strictly forbidden. The license
 * grants you the installation in one application. For multiuse you will need
 * to purchase further licences at https://store.koongo.com/.
 *
 * See the Koongo software licence agreement for more details.
 * @copyright Copyright (c) 2018 NoStress Commerce (http://www.nostresscommerce.cz, http://www.koongo.com/)
 *
 */ 

/** 
* Sql instalation skript
* 
* @category Nostress 
* @package Nostress_Koongoorderapi
* 
*/

/** @var $installer Mage_Sales_Model_Mysql4_Setup */
$installer = $this;

$installer->startSetup();

$installer->addAttribute(
		'order', 'koongo_channel_order_id', array(
                'type'            => 'varchar',
                'backend_type'    => 'varchar',
                'frontend_input'  => 'varchar',
                'grid'            => 'true',
				'default'          => "",
				'label'            => 'Channel Order ID (Koongo)',
				'visible'          => false,
				'required'         => false,
				'visible_on_front' => false,
				'user_defined'     => false,
		)
);

$installer->addAttribute(
    'order', 'koongo_channel_code', array(
            'type'            => 'varchar',
            'backend_type'    => 'varchar',
            'frontend_input'  => 'varchar',
            'grid'            => 'true',
            'default'          => "",
            'label'            => 'Channel Code (Koongo)',
            'visible'          => false,
            'required'         => false,
            'visible_on_front' => false,
            'user_defined'     => false,
    )
);

$installer->addAttribute(
    'order', 'koongo_channel_label', array(
            'type'            => 'varchar',
            'backend_type'    => 'varchar',
            'frontend_input'  => 'varchar',
            'grid'            => 'true',
            'default'          => "",
            'label'            => 'Channel (Koongo)',
            'visible'          => false,
            'required'         => false,
            'visible_on_front' => false,
            'user_defined'     => false,
    )
);

$installer->addAttribute(
    'order', 'koongo_marketplace_code', array(
            'type'            => 'varchar',
            'backend_type'    => 'varchar',
            'frontend_input'  => 'varchar',
            'grid'            => 'true',
            'default'          => "",
            'label'            => 'Marketplace (Koongo)',
            'visible'          => false,
            'required'         => false,
            'visible_on_front' => false,
            'user_defined'     => false,
    )
);

$installer->run("");
 
$installer->endSetup();
	 